#include "../../l1/system/fsmanip.h"

#include "liza.h"
#include "l1_5_templ_very_base.h"
#include "margaret.h"
#include "lucy.h"

int main() {
    mkdir_nofail("l1_5");
    generate_l1_5_liza_headers();
    generate_l1_5_template_instantiation_for_base_types();
    generate_l1_5_template_instantiations_for_margaret();
    generate_l1_5_lucy_headers();
    finish_layer(cstr("l1_5"));
    return 0;
}
